Flecs: flecs::system_runner_fluent Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::system_runner_fluent Struct Reference
C++ API » Addons » Systems

Fluent interface for running a system. More...

`#include <impl.hpp>`

## Public Member Functions
| system_runner_fluent (world_t *world, entity_t id, int32_t stage_current, int32_t stage_count, ecs_ftime_t delta_time, void *param)
| Construct a system runner.
system_runner_fluent & | offset (int32_t offset)
| Set the offset for the system runner.
system_runner_fluent & | limit (int32_t limit)
| Set the limit for the system runner.
system_runner_fluent & | stage (flecs::world &stage)
| Set the stage for the system runner.
| ~system_runner_fluent ()
| Destructor.

## Detailed Description

Fluent interface for running a system.

Definition at line 17 of file impl.hpp.

## Constructor & Destructor Documentation

## ◆ system_runner_fluent()

flecs::system_runner_fluent::system_runner_fluent | ( | world_t * | world,
|  | entity_t | id,
|  | int32_t | stage_current,
|  | int32_t | stage_count,
|  | ecs_ftime_t | delta_time,
|  | void * | param )
| inline

Construct a system runner.

Definition at line 19 of file impl.hpp.

## ◆ ~system_runner_fluent()

flecs::system_runner_fluent::~system_runner_fluent | ( |  | ) |
| inline

Destructor.

Runs the system on destruction.

Definition at line 52 of file impl.hpp.

## Member Function Documentation

## ◆ limit()

system_runner_fluent & flecs::system_runner_fluent::limit | ( | int32_t | limit | ) |
| inline

Set the limit for the system runner.

Definition at line 40 of file impl.hpp.

## ◆ offset()

system_runner_fluent & flecs::system_runner_fluent::offset | ( | int32_t | offset | ) |
| inline

Set the offset for the system runner.

Definition at line 34 of file impl.hpp.

## ◆ stage()

system_runner_fluent & flecs::system_runner_fluent::stage | ( | flecs::world & | stage | ) |
| inline

Set the stage for the system runner.

Definition at line 46 of file impl.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/mixins/system/impl.hpp